gnome-shell (50.1-0ubuntu1.2) resolute; urgency=medium

  [ Daniel van Vugt ]
  * Add ubuntu/gdm-loginDialog-Load-the-logo-image-synchronously.patch to
    ensure the Ubuntu logo is fully loaded before the first frame of
    the login screen is displayed (LP: #2145786)

  [ Alessandro Astone ]
  * d/p/u: Fix accidentally removing search providers. (LP: #2161808)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 30 Jul 2026 10:18:19 +0200

gnome-shell (50.1-0ubuntu1.1) resolute; urgency=medium

  [ Sergio Costas Rodriguez ]
  * dash: Don't notify two elements for each icon (LP: #2157622)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 23 Jun 2026 16:20:03 +0200

gnome-shell (50.1-0ubuntu1) resolute; urgency=medium

  * New upstream release
  * d/p: Refresh and drop applied upstream.
    Applied Upstream:
    - d/p/Constify-results-from-stdlib-functions.patch
    - d/p/Update-Cornish-translation.patch
    - d/p/Update-Serbian-translation.patch
    - d/p/croco-Remove-set-but-unused-variables.patch
    - d/p/keyboard-Ensure-minimum-height-of-the-OSK-always-fits-on-.patch
    - d/p/lightbox-Use-triangular-noise-shape-for-dithering.patch
    - d/p/shell-Fix-overcounting-of-misc.-symbols-for-password-stre.patch
    - d/p/shell-Remove-set-but-unused-variable.patch
    - d/p/st-texture-cache-Add-missing-error-reporting.patch
    - d/p/ubuntu/sessionMode-Enable-the-networkAgent-within-the-unlock-dia.patch
  * d/p/ubuntu: Disconnect from global signals on dock destruction.
    While the upstream dash cannot be destroyed, in ubuntu we use use it in
    dash-to-dock and each dash instance is destroyed every time we lock the
    screen, thus it's important to disconnect from global signals or we end
    up leaking them (and thus a memory hog) and potentially access to
    destroyed data.
    - d/p/ubuntu/appFavorites-Move-installed-changed-where-it-belongs.patch
    - d/p/ubuntu/appFavorites-Only-emit-changed-signal-on-changes.patch
    - d/p/ubuntu/dash-Disconnect-overview-signals-on-destroy.patch
    - d/p/ubuntu/dash-Use-connectObject-to-track-signal-connection-to-glob.patch
    (LP: #2148339)
  * d/p/ubuntu: Do not throw when closing a music player.
    - d/p/ubuntu/mpris-Do-not-send-player-removed-for-a-player-that-has-ne.patch
    - d/p/ubuntu/mpris-Only-expose-the-players-that-can-play.patch
    (LP: #2144732)
  * d/p/ubuntu: Only show Windows item in focus switcher with open windows.
    - d/p/ubuntu/ctrlAltTab-Only-show-the-windows-group-if-we-actually-hav.patch
    (LP: #2148588)
  * d/p/ubuntu: Fix sorting and focusing of a11y switcher items.
    - d/p/ubuntu/OverviewAdjustment-Add-function-to-wait-for-adjustments-c.patch
    - d/p/ubuntu/ctrlAltTab-Sort-items-taking-care-of-the-currently-focuse.patch
    - d/p/ubuntu/overviewControls-Do-focus-navigation-on-Ctrl-Alt-Tab-afte.patch
    - d/p/ubuntu/st-focus-manager-Allow-to-get-the-group-from-a-ClutterAct.patch
    - d/p/ubuntu/workspacesView-Do-not-add-the-workspaces-view-to-the-focu.patch
    (LP: #2148587)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 16 Apr 2026 19:34:19 +0200

gnome-shell (50.0-1ubuntu3) resolute; urgency=medium

  [ Mitchell Augustin ]
  * d/p: sessionMode: Enable the networkAgent within the unlock-dialog
    (LP: #2147661)

  [ Alessandro Astone ]
  * d/p: Unset window focus when focusing the shell with Ctrl+Alt+Tab
    (LP: #2147922)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 10 Apr 2026 15:58:13 +0200

gnome-shell (50.0-1ubuntu2) resolute; urgency=medium

  * d/p/ubuntu: Use update message strings if reboot implies updates
    (LP: #2147362)
  * d/p: Cherry-pick upstream fixes for a crash or not-visible OSK

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 06 Apr 2026 20:48:09 +0200

gnome-shell (50.0-1ubuntu1) resolute; urgency=medium

  * Merge with Debian version 50.0-1
  * Refresh patches:
    - debian/patches/ubuntu-authd/gdm-Add-support-unified-authentication.patch
    - ubuntu-authd/gdm-loginDialog-Bind-login-option-button-visibility-to-me.patch
    - ubuntu-authd/gdm-loginDialog-Fix-cancel-button-visibility.patch
    - ubuntu-authd/loginDialog-Add-Login-Options-button.patch
    - ubuntu-authd/loginDialog-Move-authPrompt.begin-to-helper-function.patch
    - ubuntu-authd/loginDialog-Port-sessions-menu-over-to-AuthMenuButton.patch
    - ubuntu-authd/start-abstracting-the-unified-mechanism-handler.patch
    - ubuntu/layout-Make-starting-in-the-overview-configurable-not-imp.patch
  * Modify patches:
    - match-plymouth-logo.patch: Fix login screen Ubuntu logo size on
      2880-wide displays (LP: #1872594)
    - Standardize-icon-sizes-and-fit-the-grid-to-the-screen.patch:
      Fix app folder sizing (LP: #2146524) and eliminate the need for
      the below patches...
  * Drop patches:
    - ubuntu/theme-Delete-deprecated-CSS-lines.patch
    - ubuntu/iconGrid-Force-automatic-default-spacing.patch

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 30 Mar 2026 18:21:55 +0800

gnome-shell (50.0-0ubuntu2) resolute; urgency=medium

  * debian/gnome-shell-common.alternatives: Add gdm-icons.gresource
  * d/p/ubuntu-session-mode: Use gdm-icons.gresource in GDM mode
  * d/p: Do not deny notifications from portal for snap applications
  * d/p: Cherry-pick upstream fixes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 21 Mar 2026 01:39:45 +0100

gnome-shell (50.0-0ubuntu1) resolute; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release: 50.0 (LP: #2143949, LP: #2144560, LP: #2144568)
  * Refresh patches and fix conflicts:
    - Revert-main-Register-session-with-GDM-on-startup.patch
    - Revert-tests-Fail-on-warnings-too.patch
    - shell-app-Warn-instead-of-crashing-if-disposed-before-sta.patch
    - global-make-possible-to-set-debug-flags-dynamically.patch
    - main-add-backtrace-crashes-all-and-backtrace-all.patch
    - main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch
    - sessionMode-add-support-for-debugFlags-parameter.patch
    - ubuntu/gdm_alternatives.patch
    - ubuntu/layout-Make-starting-in-the-overview-configurable-not-imp.patch
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch
    - ubuntu/lightdm-user-switching.patch
    - ubuntu/main-Add-support-for-playing-a-startup-sound-if-enabled-i.patch
    - ubuntu/main-Support-ubuntu-color-scheme-and-yaru-variants.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch
    - ubuntu/shell-global-util-Do-not-move-snap-apps-to-gnome-apps-sco.patch
    - ubuntu/st-Add-support-for-brown-accent-color.patch
    - ubuntu-authd/authPrompt-Add-support-for-Web-Login.patch
    - ubuntu-authd/authPrompt-Fade-out-cancel-button-after-verification.patch
    - ubuntu-authd/authPrompt-Parameterize-reset-function.patch
    - ubuntu-authd/authPrompt-Right-align-cancel-button.patch
    - ubuntu-authd/gdm-Add-Login-Failed-notification.patch
    - ubuntu-authd/gdm-Add-support-unified-authentication.patch
    - ubuntu-authd/gdm-Support-more-authentication-mechanism-UIs.patch
    - ubuntu-authd/gdm-loginDialog-Bind-login-option-button-visibility-to-me.patch
    - ubuntu-authd/gdm-loginDialog-Fix-cancel-button-visibility.patch
    - ubuntu-authd/gdm-webLogin-Support-custom-buttons-and-auto-ack.patch
    - ubuntu-authd/loginDialog-Add-Login-Options-button.patch
    - ubuntu-authd/loginDialog-Move-authPrompt.begin-to-helper-function.patch
    - ubuntu-authd/loginDialog-Port-sessions-menu-over-to-AuthMenuButton.patch
    - ubuntu-authd/start-abstracting-the-unified-mechanism-handler.patch
  * Drop upstreamed patches:
    - libgvc/* because 50.beta includes a new snapshot of the subproject
      which includes all those changes.
    - Revert-main-Register-session-with-GDM-on-startup.patch
    - mixer-control-Only-stream-id-for-bluetooth-devices-only.patch
    - environment-Drop-Meta.Backend.set_keymap_layout_group_asy.patch
  * Add new patches:
    - ubuntu/match-plymouth-logo.patch (LP: #1872594)
    - ubuntu/Standardize-icon-sizes-and-fit-the-grid-to-the-screen.patch and
      ubuntu/iconGrid-Force-automatic-default-spacing.patch
      (LP: #1987734, LP: #1969577, LP: #2067433)
  * Declare gnome-shell-common breaks old versions of gnome-session-common,
    since the systemd services changed: gnome-shell!3960, gnome-session!167
  * Bump dependencies: gjs >= 1.87.1, mutter >= 50.0

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 19 Mar 2026 17:20:54 +0800

gnome-shell (50~beta-0ubuntu3) resolute; urgency=medium

  * debian/ubuntu-session: Enable the search provider extensions by default

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 17 Feb 2026 05:09:13 +0100

gnome-shell (50~beta-0ubuntu2) resolute; urgency=medium

  * debian/tests/shell-tests: Drop xvfb-run usage

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 13 Feb 2026 10:26:07 +0100

gnome-shell (50~beta-0ubuntu1) resolute; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release: 50.beta
  * Refresh patches and fix conflicts:
    - Revert-main-Register-session-with-GDM-on-startup.patch
    - Revert-tests-Fail-on-warnings-too.patch
    - shell-app-Warn-instead-of-crashing-if-disposed-before-sta.patch
    - global-make-possible-to-set-debug-flags-dynamically.patch
    - main-add-backtrace-crashes-all-and-backtrace-all.patch
    - main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch
    - main-show-an-error-message-on-gnome-shell-crash.patch
    - sessionMode-add-support-for-debugFlags-parameter.patch
    - ubuntu/background_login.patch
    - ubuntu/chromium-snap-pwa.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/extensions-Include-snapd-prompting-extension.patch
    - ubuntu/gdm_alternatives.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch
    - ubuntu/lightdm-user-switching.patch
    - ubuntu/lock_on_suspend.patch
    - ubuntu/main-Add-support-for-playing-a-startup-sound-if-enabled-i.patch
    - ubuntu/main-Support-ubuntu-color-scheme-and-yaru-variants.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch
    - ubuntu/shell-global-util-Do-not-move-snap-apps-to-gnome-apps-sco.patch
    - ubuntu/st-Add-support-for-brown-accent-color.patch
    - ubuntu/st-spinner-design-and-animation.patch
    - ubuntu/st-them-context-Use-yaru-colors-as-accents.patch
  * Drop upstreamed patches:
    - libgvc/* because 50.beta includes a new snapshot of the subproject
      which includes all those changes.
    - Revert-main-Register-session-with-GDM-on-startup.patch
  * Add patches:
    - ubuntu/layout-Make-starting-in-the-overview-configurable-not-imp.patch
      to restore Ubuntu's traditional login animation.
  * Declare gnome-shell-common breaks old versions of gnome-session-common,
    since the systemd services changed: gnome-shell!3960, gnome-session!167

  [ Marco Trevisan (Treviño) ]
  * d/p: Allow Initial setup to trigger the transitions
  * d/p: Remove async promosification that breaks startup on latest mutter
  * d/p: Update ubuntu-authd patches to GNOME 50
  * d/p/ubuntu-authd: Address linting issues in authd implementation
  * d/p/ubuntu-authd: Use gnome-qr to draw the QR code
  * d/control: Add gnome-qr runtime dependency
  * d/p: Remove snapd prompting extension

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 12 Feb 2026 06:38:58 +0100

gnome-shell (49.3-2) unstable; urgency=medium

  * Team upload
  * d/patches/libgvc: Update libgvc to prevent crashes with newer Pipewire.
    This updates it to 47c47a42 (2026-01-23) which is the latest version,
    and the version currently used in gnome-shell's main branch.
    (Closes: #1126514)
  * d/watch: Convert to v5 format
  * Update Lintian overrides

 -- Simon McVittie <smcv@debian.org>  Wed, 28 Jan 2026 13:25:18 +0000

gnome-shell (49.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/p/Revert-main-Register-session-with-GDM-on-startup.patch:
    Revert a change that shouldn't have been backported to 49.x.
    Upstream suggested this as a possible trigger for regressions in
    modesetting during first login on some systems (the regression seems to
    be specific to AMD GPUs, but not all AMD GPUs are affected) and it
    seems that it was developed for v50, under the assumption that gdm3
    changes from v50 would be present.
    For whatever reason (possibly timing-dependent), this was reported
    in Debian 13 but not in testing/unstable.
    (Closes: #1125941, #1125273, #1125275, #1126174)
  * d/control: Reinstate direct Build-Depends on the dbus-daemon package.
    gnome-shell's test suite explicitly invokes dbus-run-session, which
    is in the dbus-daemon package. If the dependency had been on dbus, that
    would have been incompatible with dbus-broker, but a test dependency
    on dbus-daemon is fine.
  * d/patches/series: Sort with closest-to-upstream first.
    No functional change.

 -- Simon McVittie <smcv@debian.org>  Tue, 27 Jan 2026 16:42:32 +0000

gnome-shell (49.2-2) unstable; urgency=medium

  * Add Build-Depends: libxml2-utils for xmllint
  * Remove direct Build-Depends: dbus
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Dec 2025 20:49:01 -0500

gnome-shell (49.2-1ubuntu2) resolute; urgency=medium

  * d/p/gvc-Don-t-crash-with-newer-pipewire-and-fix-device-select.patch:
    Fix a crash in GNOME shell when switching to HFP profile of
    Bluetooth headset. (LP: #2137545)

 -- Charles <charles05@canonical.com>  Thu, 15 Jan 2026 11:12:30 +0000

gnome-shell (49.2-1ubuntu1) resolute; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add Build-Depends: terser (for authd)
    - Add Depends: ubuntu-wallpapers
    - Add Recommends:
      + ubuntu-session (| gnome-session) to have the Ubuntu session available
      + yaru-theme-gnome-shell for the default Ubuntu theming
    - Add Breaks:
      + ubuntu-session, like gnome-session
      + authd
    - Move from Recommends to Suggests: gnome-browser-connector
    - debian/gnome-shell-common.alternatives: Install tweaked GDM theme
    - Add debian/ubuntu-session-mods/ubuntu.json & install it with
      gnome-shell-common
    - Add many ubuntu-specific patches
    - Add patches to support authd authentication in GDM
  * Refresh Ubuntu patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 27 Nov 2025 10:35:21 +0100

gnome-shell (49.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Mon, 24 Nov 2025 16:37:36 +0000

gnome-shell (49.1-5ubuntu1) resolute; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add Build-Depends: terser (for authd)
    - Add Depends: ubuntu-wallpapers
    - Add Recommends:
      + ubuntu-session (| gnome-session) to have the Ubuntu session available
      + yaru-theme-gnome-shell for the default Ubuntu theming
    - Add Breaks:
      + ubuntu-session , like gnome-session
      + authd
    - Move from Recommends to Suggests: gnome-browser-connector
    - debian/gnome-shell-common.alternatives: Install tweaked GDM theme
    - Add debian/ubuntu-session-mods/ubuntu.json & install it with
      gnome-shell-common
    - Add many ubuntu-specific patches
    - Add patches to support authd authentication in GDM
  * Drop Ubuntu patch applied upstream
  * Refresh Ubuntu patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 20 Nov 2025 16:44:14 +0100

gnome-shell (49.1-5) unstable; urgency=high

  * autopkgtest: Don't run shell tests for build-and-test
    since they're already being run separately

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Nov 2025 07:40:33 -0500

gnome-shell (49.1-4) unstable; urgency=high

  * autopkgtest: don't run shell tests on riscv64 since we don't during
    build tests
  * Bump minimum gnome-settings-daemon to 49

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 01 Nov 2025 19:36:23 -0400

gnome-shell (49.1-2) unstable; urgency=medium

  * Team upload
  * Release to unstable (transition: #1116394)

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Oct 2025 11:18:17 +0000

gnome-shell (49.1-1) experimental; urgency=medium

  * Team upload
  * New upstream stable release
    - Drop patch that was included in the release
  * Merge packaging changes from unstable (no functional change)
  * Update Lintian overrides

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Oct 2025 13:48:33 +0100

gnome-shell (49.0-2) experimental; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * d/p/slider-Use-the-sprite-of-the-touch-event-not-the-pointer.patch:
    Add patch from upstream to fix a UI freeze when touching quick menu
    sliders (volume, brightness) on a touchscreen (LP: #2125013)
  * Merge packaging changes from unstable
    - d/rules: Use a more robust xvfb-run command-line (Mitigates: #981201)
    - Revert other changes from 48.5-2, no longer relevant in experimental

  [ Marco Trevisan (Treviño) ]
  * d/tests/shell-tests: Use a more robust xvfb-run command-line here, too

 -- Simon McVittie <smcv@debian.org>  Fri, 26 Sep 2025 18:37:05 +0100

gnome-shell (49.0-1ubuntu1) questing; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Drop applied upstream
  * debian/patches: Refresh
  * d/tests/control: Use a more robust xvfb-run command-line

  [ Simon McVittie ]
  * d/p/slider-Use-the-sprite-of-the-touch-event-not-the-pointer.patch:
    Add patch from upstream to fix a UI freeze when touching quick menu
    sliders (volume, brightness) on a touchscreen (LP: #2125013)
  * d/rules: Use a more robust xvfb-run command-line in tests

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 24 Sep 2025 18:23:55 +0200

gnome-shell (49.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump minimum glib and mutter

  [ Marco Trevisan (Treviño) ]
  * debian/control: Bump build dependencies
  * d/control: Add a Breaks on older gnome session
  * debian/tests:
    - Add autopkgtests for GNOME Shell
    - Run tests on the installed gnome-shell.
      Run the autopkgtests running the upstream-provided test scripts using
      the gnome-shell in the archive installed as it is.
      When in ubuntu, we are also using the ubuntu profile.
  * debian/salsa-ci: Enable i386 autopkg-tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 20:49:15 -0400

gnome-shell (49~rc-0ubuntu2) questing; urgency=medium

  * debian/patch: Add fix for brightness manager handle globalScale
  * debian/control: Require glib 2.86.0 as build dependency
    While it's technically not a build dependency, if we build with older
    GNOME shell, we end up generating a Shell typelib that refers to
    DesktopAppInfo symbols inside Gio, rather than in GioUnix and this
    causes an immediate crash as soon as we try to get an appInfo from a
    shell application in JS
  * debian: Bump dependencies on GLib and gjs
  * d/p: Add patches to fix tests compilation dependencies
  * debian/tests: Add autopkgtests for GNOME Shell
  * debian/tests: Run tests on the installed gnome-shell.
    Run the autopkgtests running the upstream-provided test scripts using
    the gnome-shell in the archive installed as it is.
    When in ubuntu, we are also using the ubuntu profile.
  * debian/tests/control: Install the ubuntu shell extensions in shell tests.
    When running the shell tests also install the ubuntu extensions, so that
    we can ensure that they are not breaking anything relevant.
    We are not checking (yet) if the extensions are working, but a test for
    this can be added at later point
  * debian/tests/control: Ignore i386 on ubuntu
  * d/p/prompting-extension: Improve error if snap application PID has not
    been found

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 12 Sep 2025 18:34:30 +0200

gnome-shell (49~rc-0ubuntu1) questing; urgency=medium

  * New upstream release:
    - Fix leak with custom themes (LP: #2121786)
    - Prefer physical scroll directions on sliders (LP: #1738676)
    - Use a clearer icon for active wifi connections without AP (LP: #2120734)
    - Use GioUnix for DesktopAppInfo (LP: #2120780)
  * d/p/ubuntu-authd:
    - Do not emit verification-complete signal.
      When the verification is completed from the authd side, the PAM stack
      that follows can still fail for some other reasons, so do not
      preemptively mark the verification as completed until we're really done.
      This is not a security issue since the signal is not leading to user
      access until the PAM stack is completed, but it may still make the shell
      to be in a wrong state in case the authentication does not complete.
    - Fix cancel handling with only one broker / auth method.
      In case only one broker (unlikely, but potentially possible) or an
      authentication method is available, the "go back" request did not work
      properly, so fix these cases by checking the current state
    - Cleanup the broker and auth mode selection.
      We can factorize some repeated code
    - Autoselect the first broker / auth mode if only received.
      If we only have one broker or an auth mode, it does not make sense to
      show a choice list, we can just proceed with it
    - Do not explicitly start an auth mechanism.
      Submitting a changed mechanisms list is enough to trigger the machinery
      to switch the default mechanism, since we already sort the mechanisms by
      their priority and gdm will pick them in order.
      Instead before we might ended up selecting the same mechanism twice
    - Do not re-start a challenge for the same auth mode.
      It may lead to cancelling the current one for no reason
    - Do not show intermediate UIs if uneeded
    - Never show the QR code intro button.
      It's just an unnecessary extra step for us
    - Do not wait for auto-selection while going back.
      As per previous commits we are now waiting for potential auto-selection
      to happen before asking the user to pick a choice, to prevent this to
      slow down the "going back" experience, we can ignore the timeout when
      going backwards, since there's no risk of auto-selection to happen
    - authPrompt preserve the text when switching entry visibility.
      Avoid replacing lockscreen password entry contents when visibility
      changes
    - Do not retry verification on explicit user cancellation.
      When going back (or hitting escape) key while authentication is in
      progress, once we've reached the initial stage, we can just mark the
      authentication as failed to avoid the default logic to retry until the
      max-retries are reached.
      This is something that authd handles internally, so we do not have any
      need for this
    - Do not reset the authentication at every lockscreen tap.
      Upstream code is affected by this bug that is more annoying in a
      MFA-setup, where just tapping the lockscreen may lead the authentication
      to be restarted.
      So stop this, by handling the tap event only when it matters
  * d/p: Use a better fix for the key-focus of the choice list
  * d/p: Drop patches, applied upstream
  * d/p: Refresh patch indexes
  * debian/control:
    - Update build dependencies
    - Require newer ubuntu mutter package version

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Sep 2025 08:17:26 +0200

gnome-shell (49~beta.1-0ubuntu3) questing; urgency=medium

  * Revert "d/p: Keep support being started via legacy desktop file"
    GNOME Shell now can start only via newer gnome-session (>= 49~beta), backed
    by systemd, but we do not depend on it technically, so it's just better to
    break that.
  * d/control: Add a Breaks on older gnome and ubuntu sessions.
    As per the fallback .desktop file removal, gnome shell requires newer
    gnome session or ubuntu session.
    However, this is not a dependency, so let's just instruct apt to update
    the shell together with a newer version of the session
  * d/p/ubuntu-authd: Do not fail verification on PAM error messages.
    We used to mimic the old behavior of gnome shell, by failing on any PAM
    error message, this is breaking PAM stacks where a module fails with a
    non-fatal error though, such as when a password change is required or
    when authd is not reachable for whatever reason. (LP: #2120634)
  * d/p/ubuntu/snapd-prompting-extension: Remove linting not required files.
    And also move the patch into the ubuntu namespace
  * d/p: Add more complete re-implementation of Gio.DesktopAppInfo
  * d/p: Cherry-pick upstream quicksettings connections to enterprise AP fix
    (LP: #2120331)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 20 Aug 2025 05:44:02 +0200

gnome-shell (49~beta.1-0ubuntu2) questing; urgency=medium

  * d/p: Add missing GDesktopAppIcon methods
  * d/p: Include gnome-shell snapd prompting extension

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 14 Aug 2025 20:21:29 +0200

gnome-shell (49~beta.1-0ubuntu1) questing; urgency=medium

  * New upstream release
  * d/p: Refresh
  * debian/control: Bump build dependencies
  * debian/patches: Cherry pick further upstream fixes
  * d/p: Fix include path for girepository headers

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 12 Aug 2025 04:56:37 +0200

gnome-shell (49~beta-0ubuntu1) questing; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * d/p: Refresh patches
  * d/control: Bump build dependencies
  * d/p: Refresh, dropping applied upstream
  * d/p: Keep support being started via legacy desktop file.
    With older gnome-session this is still required.
    Drop the patches as soon as gnome-session 49 will be ready for this.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 09 Aug 2025 04:13:57 +0200

gnome-shell (49~alpha.1-0ubuntu2) questing; urgency=medium

  * d/control: Drop dependency xserver-xorg-legacy

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 04 Aug 2025 16:02:00 +0200

gnome-shell (49~alpha.1-0ubuntu1) questing; urgency=medium

  * Merge with debian, containing a new upstream release
  * d/patches: Refresh
  * debian/rules: Update stylesheet regeneration script path
  * d/p/ubuntu-authd: Ensure that error messages are always shown on failure
  * d/p/ubuntu-authd: Fix handling of authentication switching for wait layouts
  * d/p/ubuntu-authd: Drop some delta with upstream and fix greeter buttons
  * d/p/ubuntu-authd: Move login options button to the leftmost side
  * d/p: Cleanup the yaru spinner patch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 11 Jul 2025 06:16:31 +0200

gnome-shell (48.5-3) unstable; urgency=medium

  * Team upload
  * Revert "Generate a versioned dependency for the GLib 2.86 transition"
  * Bump glib2.0 dependency to 2.86 unconditionally (part of #1115340)

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Oct 2025 15:22:55 +0100

gnome-shell (48.5-2) unstable; urgency=medium

  * Team upload
  * Generate a versioned dependency for the GLib 2.86 transition.
    GNOME Shell will need to be rebuilt after GLib 2.86 is uploaded to
    unstable, so that its typelibs declare a dependency on GioUnix,
    which they do not when built against older GLib. Generate a
    versioned dependency so that this can be done via either a binNMU
    or a sourceful upload.
  * d/rules: Use a more robust xvfb-run command-line (Mitigates: #981201)

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Sep 2025 17:32:19 +0100

gnome-shell (48.5-1) unstable; urgency=medium

  * New upstream release
  * debian/gnome-shell.gsettings-override: update Yelp to org.gnome.Yelp
  * Remove tray-icons patches applied in new release
  * Remove st-theme-node patch: alternative fix applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Sep 2025 18:41:10 -0400

gnome-shell (48.2-3) unstable; urgency=medium

  * Team upload
  * Adjust wording of previous changelog entry to reflect that gnome-music
    is still installed by default
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Jun 2025 21:08:12 +0100

gnome-shell (48.2-2) experimental; urgency=medium

  * Team upload
  * Summarize upstream changes in previous changelog entry
  * d/gnome-shell.gsettings-override: Update default pinned apps for trixie.
    The pinned (favourite) apps appear in the Dash (the bottom panel),
    instead of appearing in the main app grid.
    This file is a Debian-specific override for upstream's default list.
    The changes compared with previous versions in Debian:
    - Remove Rhythmbox. We no longer recommend a specific music player for
      GNOME; users are welcome to install Amberol, GNOME Music, Lollypop,
      Rhythmbox or any other music player of their choice.
    - Remove LibreOffice Writer. Pinned apps don't appear in the app grid,
      and it seems inconsistent to have Writer in the Dash (and not the
      app grid) but every other LibreOffice component such as Calc in the
      app grid (not the dash).
    - Add gnome-text-editor, matching upstream.
    - Add gnome-calculator, matching upstream.
    The changes compared with upstream:
    - Replace Epiphany (GNOME Web) with Firefox ESR, matching what we
      install by default
    - Replace GNOME Calendar with Evolution
    - Add Yelp (GNOME Help)
    This doesn't necessarily have any effect for existing users:
    if the user has pinned or unpinned an app at least once, once,
    then their list of pinned apps is saved and will be unaffected
    by this override. Please test with a completely new installation,
    a newly-created test user, or a user with an empty home directory.
    (Closes: #1099579)
  * d/patches: Move im-config from main app grid to the System folder,
    as requested by Jeremy Bícha on #1099579.
    A known issue is that this only has an effect for completely new
    installations or newly-created users: if the user has logged in at
    least once, then their app -> folder mapping is saved, even if they
    never explicitly modified it.

 -- Simon McVittie <smcv@debian.org>  Tue, 10 Jun 2025 14:16:06 +0100

gnome-shell (48.2-1) experimental; urgency=medium

  * New upstream bugfix release
    - Track screen-time for the Wellbeing feature correctly across
      suspend/resume, not counting time spent suspended as screen time
      (Closes: #1104630; gnome-shell!3707 upstream)
    - Check for surrounding text before enabling that capability
      (mutter#3102, gnome-shell!3666 upstream)
    - Fix a crash that can occur during startup when an extension is
      updated
      (gnome-shell#8417 upstream)
    - Fix a regression that broke the ability to run commands in
      terminals via: Alt+F2, <command>, Ctrl+Enter
      (gnome-shell#7516 upstream)
    - Fix VPN toggle in system menu not working when clicking the switch
      (gnome-shell#8204 upstream)
    - Always close folders when clicking outside them
      (gnome-shell#7541 upstream)
    - Add comments to give context for translators
      (gnome-shell!3716 upstream)
    - Translation updates: ro

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Jun 2025 13:32:38 -0400

gnome-shell (48.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 13:38:58 -0400

gnome-shell (48.0-1ubuntu2) questing; urgency=medium

  * d/p/authd: Notify messages on authentication Next too

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 26 May 2025 14:46:39 +0200

gnome-shell (48.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 09:15:46 -0400

gnome-shell (48.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum mutter

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 09:15:07 -0400

gnome-shell (48~rc-2ubuntu5) plucky; urgency=medium

  * d/p/authd: Update generated proto files to match new protocol

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 21 Mar 2025 01:48:18 +0100

gnome-shell (48~rc-2ubuntu4) plucky; urgency=medium

  * d/p/ubuntu-authd: Update authd authentication to support latest protocol
  * debian/control: Add breaks on authd << 0.4.2~

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 21 Mar 2025 01:06:46 +0100

gnome-shell (48~rc-2ubuntu3) plucky; urgency=medium

  * d/p: Use native accent colors instead of yaru flavored stylesheets
  * d/p: Drop patch to use CSS foreground for highlighted text
  * d/p: Use yaru accent colors when yaru is used
  * d/p: Optimize yaru accent colors for contrast
  * debian/control: Bump recommends on yaru-theme-gnome-shell 25.04

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 14 Mar 2025 07:21:56 +0100

gnome-shell (48~rc-2ubuntu2) plucky; urgency=medium

  * Disable startup sound by default: it can be re-enabled
    in Settings > Sound > Startup Sound

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 10:55:46 -0400

gnome-shell (48~rc-2ubuntu1) plucky; urgency=medium

  * Merge with Debian
  * Remove 2 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 12:11:37 -0500

gnome-shell (48~rc-2) unstable; urgency=high

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 11:25:50 -0500

gnome-shell (48~rc-1) experimental; urgency=medium

  * Team upload
  * New upstream release candidate
    - In particular, when combined with mutter 48~rc, this version avoids
      an issue where the visible cursor position in GTK 4 apps does not
      match the position where clicks will be applied
  * Refresh patch series
  * Bump mutter dependency to 48~rc as per meson.build
  * d/gnome-shell-common.install: Install the new System directory
  * Standards-Version: 4.7.2 (no changes required)
  * Release to experimental to avoid disrupting the gnome-shell/mutter
    transition

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Mar 2025 11:23:09 +0000

gnome-shell (48~beta-4) unstable; urgency=medium

  * Release to unstable (Closes: #1098719)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Mar 2025 05:40:03 -0500

gnome-shell (48~beta-3ubuntu1) plucky; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Merge with debian
  * debian/salsa-ci: Use ubuntu recipes
  * debian/patches/ubuntu-authd: Rebase as per upstream changes

  [ Daniel van Vugt ]
  * Add missing import to the magnifier patch (LP: #2098745)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 22 Feb 2025 05:54:30 +0100

gnome-shell (48~beta-3) experimental; urgency=medium

  * debian/control: Set both upper and lower bounds for gnome-shell-common
    dependency.
  * debian/control: Remove dependency on gnome-shell-common from prefs.
    The tool has already a strict dependency on gnome-shell, that depends on
    gnome-shell-common, so no reason to handle that
  * Revert "d/c: Don't depend on exact versions of gnome-shell-common"
    gnome-shell-common contains the Javascript code that consumes the
    typelib and the APIs that are defined in the libraries that gnome-shell
    package provides, so the dependency should be strict on the version,
    since even a point release may expose a new internal API that then the
    javascript code consumes. (LP: #2098654)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 21 Feb 2025 12:17:50 +0100

gnome-shell (48~beta-2) experimental; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Set Salsa CI release to Experimental

  [ Alessandro Astone ]
  * Depend on gnome-shell-common >= 48~.
    The interfaces need to match (Closes: #1096064, LP: #2098453)

  [ Simon McVittie ]
  * Remove an obsolete Lintian override
  * Adjust patch metadata to mark some patches as forwarded
  * Adjust some patch metadata to use DEP-3 representation for upstream bugs

 -- Simon McVittie <smcv@debian.org>  Sat, 15 Feb 2025 16:47:57 +0000

gnome-shell (48~beta-1ubuntu1) plucky; urgency=medium

  * Merge with Debian
  * Refresh patches
  * Temporarily disable authd patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Feb 2025 22:17:37 -0500

gnome-shell (48~beta-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum gdm3, gsettings-desktop-schemas & mutter
  * Have gnome-shell-common install X-GNOME-Shell-Utilities.directory

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Feb 2025 08:30:06 -0500

gnome-shell (47.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 16 Jan 2025 17:40:28 -0500

gnome-shell (47.2-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add Depends: gjs for screen lock keyboard shortcut (Closes: #1089745)

  [ Simon McVittie ]
  * d/salsa-ci.yml: Use recommended recipe

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 13 Dec 2024 19:00:26 -0500

gnome-shell (47.2-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Daniel van Vugt ]
  * Restore st-theme-node-Forget-properties-cache-on-stylesheet-chang.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 14:12:49 -0500

gnome-shell (47.1-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Nov 2024 15:05:15 +0000

gnome-shell (47.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/upstream/metadata: Canonicalize case of repository URL
  * Refresh patch series.
    Drop "status/keyboard: Fix execution order when activating source"
    which was fixed differently after upstream review.

 -- Simon McVittie <smcv@debian.org>  Wed, 30 Oct 2024 10:52:18 +0000

gnome-shell (47.0-3) unstable; urgency=medium

  * Release to unstable (Closes: #1060684)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Oct 2024 19:14:09 -0400

gnome-shell (47.0-2ubuntu3.1) plucky; urgency=medium

  * No-change upload to plucky

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 22 Oct 2024 11:38:25 +0200

gnome-shell (47.0-2ubuntu3) oracular; urgency=medium

  * d/p: Fix toggling lockscreen view using Escape (LP: #2084308)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 12 Oct 2024 04:57:30 +0200

gnome-shell (47.0-2ubuntu2) oracular; urgency=medium

  * d/p/ubuntu/secure-mode-extension: Return null on invalid extension.
    The upstream code checks whether the returned extension is null, not
    undefined, so we may end up returning an accepted values that will fail
    later when parsing the extension content (LP: #2083615)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 03 Oct 2024 16:55:49 +0200

gnome-shell (47.0-2ubuntu1) oracular; urgency=medium

  [ Alessandro Astone ]
  * Merge with Debian (LP: #2081646). Remaining changes:
    - Add Build-Depends: terser (for authd)
    - Add Depends: ubuntu-wallpapers
    - Add Recommends:
      + ubuntu-session (| gnome-session) to have the Ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default Ubuntu theming
    - Move from Recommends to Suggests: gnome-browser-connector
    - debian/gnome-shell-common.alternatives: Install tweaked GDM theme
    - Add debian/ubuntu-session-mods/ubuntu.json & install it with
      gnome-shell-common
    - Add many ubuntu-specific patches
    - Add patches to support authd authentication in GDM

  [ Robert Malz ]
  * d/p: Fix default service discovery (LP: #2065432)

  [ Marco Trevisan (Treviño) ]
  * d/p/appMenu-snap-store-details: Activate snap store app on click
    (LP: #2081716)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 02 Oct 2024 01:58:19 +0200

gnome-shell (47.0-2) experimental; urgency=medium

  * Update gnome-browser-connector binary package name
  * Cherry-pick proposed patch to fix login screen crash if
    on-screen keyboard is enabled (Closes: #1082297)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Sep 2024 08:46:12 -0400

gnome-shell (47.0-1ubuntu2) oracular; urgency=medium

  * d/p: Show app details menu for snap applications

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 16 Sep 2024 23:58:16 +0200

gnome-shell (47.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add Build-Depends: terser (for authd)
    - Add Depends: ubuntu-wallpapers
    - Add Recommends:
      + ubuntu-session (| gnome-session) to have the Ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default Ubuntu theming
    - Move from Recommends to Suggests: chrome-gnome-shell
    - debian/gnome-shell-common.alternatives: Install tweaked GDM theme
    - Add debian/ubuntu-session-mods/ubuntu.json & install it with
      gnome-shell-common
    - Add many patches
  * Remove patch applied in new release
  * Refresh patches
  * Update gnome-browser-connector binary package name

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 07:49:10 -0400

gnome-shell (47.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump minimum mutter and gnome-settings-daemon

  [ Daniel van Vugt ]
  * Add shell-app-Warn-instead-of-crashing-if-disposed-before-sta.patch
    to avoid crashing the shell if an app misbehaves coincidentally close
    to a garbage collection run (LP: #2037055)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 14 Sep 2024 21:16:08 -0400

gnome-shell (47~rc-3ubuntu2) oracular; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * d/p/ubuntu-authd: Define the service name just once
  * d/p/pwa: Fix handling of non-sandboxed apps, or invalid apps.

  [ Nathan Pratta Teodosio ]
  * Add chromium-snap-pwa.patch:
    Fixes tab and dock grouping of progressive web applications
    for the Chromium snap (LP: #2007652).

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 16 Sep 2024 11:44:24 +0200

gnome-shell (47~rc-3ubuntu1) oracular; urgency=medium

  [ Jeremy Bícha ]
  * Merge with Debian. Remaining changes:
    - Add Build-Depends: terser (for authd)
    - Add Depends: ubuntu-wallpapers
    - Add Recommends:
      + ubuntu-session (| gnome-session) to have the Ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default Ubuntu theming
    - Move from Recommends to Suggests: chrome-gnome-shell
    - debian/gnome-shell-common.alternatives: Install tweaked GDM theme
    - Add debian/ubuntu-session-mods/ubuntu.json & install it with
      gnome-shell-common
    - Add many patches

  [ Marco Trevisan (Treviño) ]
  * d/p: Ensure PAM messages are fully notified on failures
  * d/p/ubuntu-authd: Improve notification of authentication error messages.
    Ensure that messages are visible enough time for the user being able to
    read them.
  * d/p/ubuntu-authd: Cleanup patches so that they're split more correctly.
    No final content change
  * d/p/ubuntu-authd: Improve theming and consistence of the login auth list
    items

  [ Daniel van Vugt ]
  * Add shell-app-Warn-instead-of-crashing-if-disposed-before-sta.patch
    to avoid crashing the shell if an app misbehaves coincidentally close
    to a garbage collection run (LP: #2037055)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 11 Sep 2024 03:47:31 +0200

gnome-shell (47~rc-3) experimental; urgency=medium

  * Disable the portal helper popup window and use the notification/browser
    method instead. Hardening related to CVE-2024-36472 (Closes: #1072124)
  * Drop now unused Depends: gir1.2-webkit-6.0
  * Bump minimum gsettings-desktop-schemas

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Sep 2024 14:08:52 -0400

gnome-shell (47~rc-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Transitional gnome-shell-extensions-prefs tool is no longer provided
  * Build with mutter 47 RC
  * Add Build-Depends: pipewire for build tests
  * Manpages are built with rst2man instead of a2x
  * Refresh patches

  [ Daniel van Vugt ]
  * debian/control: Don't depend on exact versions of gnome-shell-common

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Sep 2024 12:07:18 -0400

gnome-shell (47~beta-1ubuntu2) oracular; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * d/p: Update accent color patches to support new accent-color key
  * d/p/ubuntu: Add support for brown accent color
  * d/p/ubuntu: Add support for playing a startup sound
  * debian/control: Bump dependency on desktop schemas 47~beta-1ubuntu2

  [ Jeremy Bícha ]
  * Disable the portal helper popup window and use the notification/browser
    method instead. Hardening related to CVE-2024-36472
  * Drop now unused Depends: gir1.2-webkit-6.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 15 Aug 2024 09:48:11 -0400

gnome-shell (47~beta-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add Build-Depends: terser (for authd)
    - Add Depends: ubuntu-wallpapers
    - Add Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move from Recommends to Suggests: chrome-gnome-shell
    - debian/gnome-shell-common.alternatives: Install tweaked GDM theme
    - Add debian/ubuntu-session-mods/ubuntu.json & install it with
      gnome-shell-common
    - Add many patches
  * Refresh patches
  * Disable Yaru accent color patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 20:30:40 -0400

gnome-shell (47~beta-1) experimental; urgency=medium

  * New upstream release
  * Update tray-offscreen-xwindows patches & move to separate patch topic
  * Bump minimum mutter & gsettings-desktop-schemas

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Aug 2024 12:39:55 -0400

gnome-shell (46.4-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add Build-Depends: terser (for authd)
    - Add Depends: ubuntu-wallpapers
    - Add Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move from Recommends to Suggests: chrome-gnome-shell
    - debian/gnome-shell-common.alternatives: Install tweaked GDM theme
    - Add debian/ubuntu-session-mods/ubuntu.json & install it with
      gnome-shell-common
    - Add many patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Aug 2024 11:27:44 -0400

gnome-shell (46.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 04 Aug 2024 16:35:07 -0400

gnome-shell (46.3.1-4) unstable; urgency=medium

  * Skip the shell tests on riscv64
  * Bump Standards-Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Aug 2024 21:40:18 -0400

gnome-shell (46.3.1-3) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Switch gnome-control-center from Recommends to Depends
  * Remove Recommends: gnome-backgrounds (Closes: #1077738)
  * Revert "Skip shell build tests for now since they are flaky"

  [ Simon McVittie ]
  * d/control: Explicitly version various dependencies as per meson.build:
    GLib 2.80, Gcr 3.90, NM 1.10.4, Pipewire 0.3.49
  * d/control: Remove version constraints unnecessary since bullseye
    (oldstable)
  * d/control: Remove obsolete Breaks/Replaces on pre-3.36 versions,
    unnecessary since bullseye (oldstable)
  * Make the source package cross-compilable:
    - d/control: Explicitly depend on gir1.2-*-dev where required
    - d/control: Build-Depend on gobject-introspection (>= 1.80)
      instead of libgirepository1.0-dev
    - d/rules: Opt-in to cross-friendly gobject-introspection
      (workaround for #1060838)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Aug 2024 13:55:54 -0400

gnome-shell (46.3.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Jul 2024 18:29:07 -0400

gnome-shell (46.3.1-1ubuntu1) oracular; urgency=medium

  * Merge with Debian
  * debian/patches: Refresh
  * d/p/ubuntu-authd: Add custom button to the qrcode view and automatic ack.
    Do not require manual intervention to dismiss the qrcode view and start
    the qrcode authentication, and support regenerating the qrcode using
    a custom button (LP: #2072710, #2072711)
  * d/p/ubuntu-authd: Add support for showing the login code in the qrcode view
    (LP: #2072714)
  * d/p/ubuntu-authd: Cleanup prompt view when changing auth mode.
    When switching from an auth mode to another we need to hide the uneeded
    items and cleanup the messages, do it so that switching form password
    auth, to a field-less view works as expected (LP: #2072718)
  * d/p/ubuntu-authd: Fix key navigation on choice list and waiting items.
    Make possible to use key-navigation automatically when such views are
    shown (LP: #2072716)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 15 Jul 2024 15:08:36 +0200

gnome-shell (46.3.1-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release (LP: #2072703)
  * debian/control: Remove unused dependencies, following upstream.
    Upstream meson.build removed various unused dependencies, so drop them
    from our control file too
  * d/p: Do not make tray icons to take any input event directly.
    This is all handled through their actor proxy representation (LP: #2012388)
  * d/p: Resize tray icon windows to respect their actor representation
    (LP: #2012388)
  * debian/changelog: Reference bugs fixed in previous versions

  [ Daniel van Vugt ]
  * Add st-theme-node-Forget-properties-cache-on-stylesheet-chang.patch.
    To fix crashes that occur when locking the screen from within the overview.
    But more generally can occur whenever any extension that modifies
    stylesheets (like ubuntu-dock or dash-to-dock) is unloaded (LP: #2069559).

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 11 Jul 2024 00:02:12 +0200

gnome-shell (46.2-1ubuntu4) oracular; urgency=medium

  * Add st-theme-node-Forget-properties-cache-on-stylesheet-chang.patch
    to fix crashes that occur when locking the screen from within the overview.
    But more generally can occur whenever any extension that modifies
    stylesheets (like ubuntu-dock or dash-to-dock) is unloaded (LP: #2069559).

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 03 Jul 2024 14:37:10 +0800

gnome-shell (46.2-1ubuntu3) oracular; urgency=medium

  * d/p/ubuntu-authd: Revert unwanted change causing ibus not to launch
    (LP: #2069381)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 14 Jun 2024 06:45:11 +0200

gnome-shell (46.2-1ubuntu2) oracular; urgency=medium

  * debian/patches/ubuntu-authd: Properly handle new-password messages requests
    (LP: #2068080)
  * d/p/ubuntu-authd: Add translatable js files to POTFILES.in (LP: #2068912)
  * d/p: Do not call unsafe functions when spawning new processes (LP: #2019776)
  * d/p: Resize tray icon windows to respect their actor representation
    (LP: #2012388)
  * d/p: Do not make tray icons to take any input event directly (LP: #2012388)
  * debian/patches/ubuntu-authd: Properly handle new-password messages requests
    (LP: #2068080)
  * d/p/ubuntu-authd: Add translatable js files to POTFILES.in (LP: #2068912)
  * d/p: Do not call unsafe functions when spawning new processes (LP: #2019776)
  * d/p: Resize tray icon windows to respect their actor representation
    (LP: #2012388)
  * d/p: Do not make tray icons to take any input event directly (LP: #2012388)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 14 Jun 2024 05:47:07 +0200

gnome-shell (46.2-1ubuntu1) oracular; urgency=medium

  [ Jeremy Bícha ]
  * Merge with Debian
  * Refresh patches

  [ Marco Trevisan (Treviño) ]
  * debian/patches/ubuntu-authd: Properly draw qr-codes for longer URIs
    (LP: #2067610)
  * debian/patches/ubuntu-authd: Fix dialog text color when using light theme
    (LP: #2067661)
  * debian/patches/ubuntu-authd: Use right colors to draw the QR code in
    light mode (LP: #2067661)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 May 2024 07:14:43 -0400

gnome-shell (46.2-1) experimental; urgency=medium

  * New upstream release:
    - Exclude override-redirect windows from workspace animation (LP: #2039543)
    - Fix possible hang on startup during ibus-daemon launch (LP: #2019776)
    - Use absolute tray icon position in root event coordinates (LP: #2059819)
  * Drop screencast patch applied in new release
  * Drop revert tecla patch: no longer needed
  * Add Depends: tecla. Drop Recommends: gkbd-capplet

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 May 2024 08:03:22 -0400

gnome-shell (46.1-1ubuntu1) oracular; urgency=medium

  * Merge with Debian
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 13 May 2024 15:38:15 +0200

gnome-shell (46.1-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum gir1.2-glib-2.0 to 2.80 (LP: #2065587)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 13 May 2024 15:32:04 +0200

gnome-shell (46.0-2) experimental; urgency=high

  * Team upload
  * d/p/screencast-Correct-expected-bus-name-for-streams.patch:
    Avoid screencast regression after fixing CVE-2024-34397.
    Previously, screencasting expected signals to come from the wrong
    D-Bus name, which only worked because there was a vulnerability in
    GLib that resulted in the sender being ignored.
  * Set urgency=high because this fixes a regression triggered by a
    security fix.

 -- Simon McVittie <smcv@debian.org>  Tue, 07 May 2024 11:32:22 +0100

gnome-shell (46.0-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum mutter to 46.0
  * Bump minimum gsettings-desktop-schemas
  * Build-Depend on libgtk-3-dev
  * debian/gnome-shell.install: GNOME Shell no longer provides
    xdg-desktop-portal components
  * Skip shell build tests for now since they are flaky
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 19 Mar 2024 15:36:16 -0400

gnome-shell (46.0-0ubuntu5.1) noble-security; urgency=medium

  * Fix compatibility with glib2.0 security update
    - debian/patches/correct_expected_bus_name.patch: correct expected bus
      name for streams in js/dbusServices/screencast/screencastService.js.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 07 May 2024 17:03:32 -0400

gnome-shell (46.0-0ubuntu5) noble; urgency=medium

  [ Daniel van Vugt ]
  * Drop loginDialog-Create-footer-container.patch - it's buggy and still
    under active development (LP: #2060893)

  [ Marco Trevisan (Treviño) ]
  * debian/patches/ubuntu-authd: Hide the right button if there are no
    sessions to choose (LP: #2061153)
  * debian/patches/ubuntu-authd: Do not start an unavailable authentication
    service (LP: #2060575)
  * d/p/ubuntu-authd: Fix selection of multi-factor auth modes (related to
    lp:2060546)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 17 Apr 2024 07:45:42 +0200

gnome-shell (46.0-0ubuntu4) noble; urgency=medium

  * debian/changelog: Add missing 46.0-0ubuntu3 changelog
  * debian/patches/ubuntu-authd: Handle various races on cancellation

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 08 Apr 2024 02:31:14 +0200

gnome-shell (46.0-0ubuntu3.1) noble; urgency=medium

  * debian/patces/gdm: Update gdm login notification to current API
  * debian/patches/authd: Cleanup code and fix mechanism switch handling

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 02 Apr 2024 01:03:41 +0200

gnome-shell (46.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild for mutter ABI changes on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Mar 2024 19:27:16 +0100

gnome-shell (46.0-0ubuntu2) noble; urgency=medium

  * Add again patches that were uploaded as part of 46~beta-0ubuntu3 and that
    got overwritten:
    - debian/patches: Add support for ubuntu authd gdm interface
    - debian: Build depend on terser and minify authd protocol
    - debian/rules: Regenerate the css files before building
    - debian/patches/ubuntu-authd: Add a gsettings to disable the gdm support
  * debian/changelog: Update with contents of the lost changes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 22 Mar 2024 10:16:01 +0100

gnome-shell (46.0-0ubuntu1) noble; urgency=medium

  * New upstream release
  * Bump minimum mutter to 46.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Mar 2024 17:23:29 -0400

gnome-shell (46~rc-0ubuntu1) noble; urgency=medium

  * New upstream release
  * Bump minimum mutter to 46~rc
  * Drop fingerprint patch applied in new release
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Mar 2024 17:27:34 -0500

gnome-shell (46~beta-0ubuntu3) noble; urgency=medium

  * debian/patches: Cherry-pick upstream fixes for fingerprint authentication
  * debian/patches: Add support for ubuntu authd - authentication daemon
  * debian: Build depend on terser and minify authd protocol
  * debian/rules: Regenerate the css files before building
  * debian/patches/ubuntu-authd: Add a gsettings to disable the gdm support

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 29 Feb 2024 23:48:54 +0100

gnome-shell (46~beta-0ubuntu2) noble; urgency=medium

  * Build-Depend on libgtk-3-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 29 Feb 2024 00:08:24 -0500

gnome-shell (46~beta-0ubuntu1) noble; urgency=medium

  * New upstream release
  * Refresh patches
  * Build with gcr4
  * Bump minimum mutter to 46~beta
  * Bump minimum gsettings-desktop-schemas
  * debian/gnome-shell.install: GNOME Shell no longer provides
    xdg-desktop-portal components
  * Skip shell build tests for now since they are flaky

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 23:51:36 -0500

gnome-shell (45.3-2) experimental; urgency=medium

  * Merge packaging changes from unstable
    - Build-depend on systemd-dev instead of systemd (Closes: #1060607)
    - Adjust Lintian overrides
    - All other changes were included in 45.3-1

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2024 17:46:37 +0000

gnome-shell (45.3-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - Add debian/ubuntu-session-mods/ubuntu.json
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/shell-global-util-Do-not-move-snap-apps-to-gnome-apps-sco.patch
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jan 2024 15:28:52 -0500

gnome-shell (44.9-2) unstable; urgency=high

  * Team upload
  * d/p/screencast-Correct-expected-bus-name-for-streams.patch:
    Avoid screencast regression after fixing CVE-2024-34397.
    Previously, screencasting expected signals to come from the wrong
    D-Bus name, which only worked because there was a vulnerability in
    GLib that resulted in the sender being ignored.
  * Set urgency=high because this fixes a regression triggered by a
    security fix.

 -- Simon McVittie <smcv@debian.org>  Mon, 06 May 2024 22:41:00 +0100

gnome-shell (44.9-1) unstable; urgency=medium

  * New upstream release
  * Build with gcr4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 16:47:08 -0500

gnome-shell (44.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Request the intended height for StBin (gnome-shell!3043)
    - Fix a crash if an extension incorrectly attempts to add/remove
      an empty style class (gnome-shell#7152)
    - Allow edge fade to be removed from scroll views (gnome-shell!3047)
    - Don't hide the overlay while hovering over a window preview's icon
      (gnome-shell!3049)
    - Fix warnings during Shell exit (gnome-shell#7132, gnome-shell!3064)

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2024 13:49:59 +0000

gnome-shell (44.7-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Stop using debian/control.in and dh_gnome_clean
  * Drop evolution .desktop lintian override: not needed since 44

  [ Simon McVittie ]
  * Build-depend on systemd-dev instead of systemd (Closes: #1060607)
  * d/gnome-shell.lintian-overrides: Remove unused override
  * d/gnome-shell.lintian-overrides: Tidy up whitespace
  * d/g-s-common.lintian-overrides: /usr/share/g-s/modes is intentionally
    empty

 -- Simon McVittie <smcv@debian.org>  Sun, 14 Jan 2024 19:32:07 +0000

gnome-shell (45.3-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jan 2024 15:28:09 -0500

gnome-shell (45.2-2) experimental; urgency=medium

  * Merge with version 44.7-1 from unstable

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Dec 2023 15:09:38 +0000

gnome-shell (45.2-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - Add debian/ubuntu-session-mods/ubuntu.json
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/shell-global-util-Do-not-move-snap-apps-to-gnome-apps-sco.patch
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Dec 2023 10:20:07 -0500

gnome-shell (45.2-1) experimental; urgency=medium

  * New upstream release (LP: #2045667)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Dec 2023 10:15:19 -0500

gnome-shell (44.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/p/overview-Handle-unredirection-in-OverviewShown-state-mach.patch:
    Drop a patch that was included in the upstream release

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Dec 2023 13:30:06 +0000

gnome-shell (45.1-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - Add debian/ubuntu-session-mods/ubuntu.json
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/shell-global-util-Do-not-move-snap-apps-to-gnome-apps-sco.patch
  * Drop 2 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Nov 2023 15:34:45 +0200

gnome-shell (45.1-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release (LP: #2043015)
  * Stop using debian/control.in and dh_gnome_clean

  [ Simon McVittie ]
  * Merge with version 44.5-2 from unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Nov 2023 15:31:57 +0200

gnome-shell (45.0-1ubuntu2) mantic; urgency=medium

  * Cherry-pick 2 commits from future 45.1:
    - Fix crash at shutdown (LP: #2036889)
    - Fix indefinite inhibition of direct scanout when closing the Overview

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 03 Oct 2023 14:16:54 -0400

gnome-shell (45.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - Add debian/ubuntu-session-mods/ubuntu.json
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/shell-global-util-Do-not-move-snap-apps-to-gnome-apps-sco.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 11:22:07 -0400

gnome-shell (45.0-1) experimental; urgency=medium

  * New upstream release
    - Fix exposing window previews on lock screen via keyboard shortcuts
      (Closes: #1052067, CVE-2023-43090, gnome-shell#6990)
  * Bump minimum mutter to 45.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 11:01:45 -0400

gnome-shell (45~rc-1) experimental; urgency=medium

  * New upstream release
  * Build with mutter 45 rc
  * debian/control.in: Don't Build-Depend on gtk3
  * debian/control.in: Depend on gir1.2-webkit-6.0 instead of 4.1
  * debian/gnome-shell.install: gnome-shell-perf-tool -> gnome-shell-test-tool
  * debian/rules: Drop obsolete configure flag
  * Add patch to avoid using Tecla because it isn't ready yet
  * Drop patch applied in new release
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 10 Sep 2023 21:19:28 -0400

gnome-shell (45~rc-0ubuntu3) mantic; urgency=medium

  * Restore dark mode patch accidentally dropped when packaging 45
    (LP: #2035036)
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 10 Sep 2023 15:59:19 -0400

gnome-shell (45~rc-0ubuntu2) mantic; urgency=medium

  * Update magnifier sprite scaling patch with latest version proposed upstream

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 09 Sep 2023 11:17:39 -0400

gnome-shell (45~rc-0ubuntu1) mantic; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum mutter to 45~rc
  * Drop cherry-picked patches applied in new release
  * Refresh patches
  * Add patch to avoid using Tecla because it isn't ready here yet

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Sep 2023 15:34:13 -0400

gnome-shell (45~beta.1-0ubuntu2) mantic; urgency=medium

  [ Jeremy Bícha ]
  * Don't Build-Depend on gtk3
  * debian/control.in: Depend on gir1.2-webkit-6.0 instead of 4.1

  [ Marco Trevisan (Treviño) ]
  * debian/ubuntu.json: Prefer light color scheme
  * debian/patches: Cherry-pick patches from upstream main branch
  * debian/control: Recommends more recent version of yaru theme

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 28 Aug 2023 23:49:34 +0200

gnome-shell (45~beta.1-0ubuntu1) mantic; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Build with mutter 45 beta
  * debian/rules: Drop obsolete configure flag
  * debian/gnome-shell.install: gnome-shell-perf-tool -> gnome-shell-test-tool
  * Refresh patches
  * Drop patch to use "Favorite" instead of "Pin"

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Make desktop detection to work with ESM modules
  * debian/patches: Handle loading of multiple yaru variants again
  * debian/patches: Cherry-pick various upstream fixes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 18 Aug 2023 01:12:53 +0200

gnome-shell (44.5-2) unstable; urgency=medium

  * Team upload
  * d/patches: Update to upstream gnome-44 branch commit 44.5-1-g958616fd1
    - d/p/overview-Handle-unredirection-in-OverviewShown-state-mach.patch:
      Improve performance for most full-screen applications by ensuring
      that a fast-path for them stays enabled (mutter#2994)

 -- Simon McVittie <smcv@debian.org>  Wed, 27 Sep 2023 14:11:21 +0100

gnome-shell (44.5-1) unstable; urgency=high

  * Team upload
  * New upstream release
    - Fix exposing window previews on lock screen via keyboard shortcuts
      (Closes: #1052067, CVE-2023-43090, gnome-shell#6990)
    - Improve handling of latched vs. locked modes in on-screen keyboard
      (gnome-shell#5763)
    - Reverse slider direction in RTL locales (gnome-shell#5107)
    - Add missing environment variables required to launch ibus-daemon
      (gnome-shell#6998)
    - Translation updates

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Sep 2023 13:50:52 +0100

gnome-shell (44.4-1) unstable; urgency=medium

  * New upstream release
  * Drop 5 patches applied in new release
  * debian/gbp.conf, debian/watch: Branch for trixie

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 11:13:37 -0400

gnome-shell (44.3-1ubuntu1) mantic; urgency=medium

  * Merge with Debian (LP: #2026586). Remaining changes:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - debian/ubuntu-session-mods/ubuntu.json: Use Yaru's gnome-shell icons
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/Revert-dash-Use-pin-instead-of-favorites
    - ubuntu/shell-global-util-Do-not-move-snap-apps-to-gnome-apps-sco.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 07 Jul 2023 09:33:58 -0400

gnome-shell (44.3-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 07 Jul 2023 09:32:03 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gnome-shell-common`.
